VSTGUI: UIViewFactory Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
UIViewFactory Class Reference
New classes » Version 4.0

Default view factory. More...

`#include <uiviewfactory.h>`

Inheritance diagram for UIViewFactory:

## Public Member Functions
| UIViewFactory ()
| ~UIViewFactory () noexcept override=default
CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const override
bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const override
bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const override
bool | getAttributeValue (CView *view, const std::string &attributeName, std::string &stringValue, const IUIDescription *desc) const override
bool | viewIsTypeOf (CView *view, const std::string &typeName) const override
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
Public Member Functions inherited from IViewFactory
virtual | ~IViewFactory () noexcept=default

## Static Public Member Functions
static void | registerViewCreator (const IViewCreator &viewCreator)
static void | unregisterViewCreator (const IViewCreator &viewCreator)
Static Public Member Functions inherited from IViewFactory
static IdStringPtr | getViewName (CView *view)

## Protected Member Functions
void | evaluateAttributesAndRemember (CView *view, const UIAttributes &attributes, UIAttributes &evaluatedAttributes, const IUIDescription *description) const
CView * | createViewByName (const std::string *className, const UIAttributes &attributes, const IUIDescription *description) const

## Detailed Description

Default view factory.

## Constructor & Destructor Documentation

## ◆ UIViewFactory()

UIViewFactory | ( |  | ) |

## ◆ ~UIViewFactory()

~UIViewFactory | ( |  | ) |
| overridedefaultnoexcept

## Member Function Documentation

## ◆ applyAttributeValues()

bool applyAttributeValues | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| overridevirtual

Implements IViewFactory.

## ◆ applyCustomViewAttributeValues()

bool applyCustomViewAttributeValues | ( | CView * | customView,
|  | IdStringPtr | baseViewName,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| overridevirtual

Implements IViewFactory.

## ◆ createView()

CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| overridevirtual

Implements IViewFactory.

## ◆ createViewByName()

CView * createViewByName | ( | const std::string * | className,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| protected

## ◆ evaluateAttributesAndRemember()

void evaluateAttributesAndRemember | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | UIAttributes & | evaluatedAttributes,
|  | const IUIDescription * | description ) const
| protected

## ◆ getAttributeValue()

bool getAttributeValue | ( | CView * | view,
|  | const std::string & | attributeName,
|  | std::string & | stringValue,
|  | const IUIDescription * | desc ) const
| overridevirtual

Implements IViewFactory.

## ◆ registerViewCreator()

void registerViewCreator | ( | const IViewCreator & | viewCreator | ) |
| static

## ◆ unregisterViewCreator()

void unregisterViewCreator | ( | const IViewCreator & | viewCreator | ) |
| static

## ◆ viewIsTypeOf()

bool viewIsTypeOf | ( | CView * | view,
|  | const std::string & | typeName ) const
| overridevirtual

Implements IViewFactory.

The documentation for this class was generated from the following files:

- uiviewfactory.h
- uiviewfactory.cpp